--- title: "Search for course activities launched from an external link" slug: "search-for-course-activities-launched-from-an-external-link" updated: 2024-10-25T18:04:27Z published: 2026-02-10T22:32:35Z canonical: "docs.skillable.com/search-for-course-activities-launched-from-an-external-link" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.skillable.com/llms.txt > Use this file to discover all available pages before exploring further. # Search for course activities launched from an external link Get/SearchCourseExternalActivityLaunches Allows you to search external course activity launches (videos, documents, etc.). SecurityAPI Key: api_keyHeader parameter nameapi_key Query parameterspageIndexinteger (int32) A 0-based index of the paged results you wish to receive. In general, you should start with a value of zero and increment it as you need to retrieve additional results. If not supplied, a value of 0 is used (the first page of results). pageSizeinteger (int32) Indicates how many results you want per page. if not supplied, a default value of 100 is used. sortstring The value you want to sort by. If not supplied, a default value of "LaunchTime DESC" will be assumed. You can append " DESC" after the sort value to sort descending. For example, "LaunchTime DESC" would sort by when the activity was launched in descending order. Possible values: - LaunchTime - LastName - Course - Activity ExampleLaunchTime DESC userIdinteger (int32) An optional parameter used to filter for launches made by a particular user. Example545656 userExternalIdstring An optional parameter used to filter for launches made by a particular user using an external identifier Example1563D8AE-8F56-4C16-B64E-5701D221E832 courseIdinteger (int32) An optional parameter used to filter for launches from a particular course. Example456576 activityTypeinteger (int32) Filters for activities of a particular type: - 40 = URL - 60 = Video - 70 = Document. Example60 launchedAfterinteger (int64) An optional parameter used to filter for activities launched after a specified date. When used in conjunction with the "launchedBefore" parameter, it becomes possible to filter for a given time range. This should be provided in unix epoch format, which is the number of seconds that have elapsed since midnight UTC January 1st, 1970. Example1465663291 launchedBeforeinteger (int64) An optional parameter used to filter for activities launched before a specified date. When used in conjunction with the "launchedAfter" parameter, it becomes possible to filter for a given time range. This should be provided in unix epoch format, which is the number of seconds that have elapsed since midnight UTC January 1st, 1970. Example1465663291 Responses200 OK Response Expand Allobject Statusinteger (int32) Indicates the status of the API request. 0 = Success 10 = Error 20 = Not found 30 = Invalid integration key Example10 Errorstring | null Error details. This will only have a value if an error was encountered. The status property will also be set to Error (10). TotalCountinteger (int32) The total number of results that match the search conditions, not all of which may be in the current result set. Example1 TotalPagesinteger (int32) The total number of result pages that match the search conditions. Example1 Results Array of object (CourseExternalActivityLaunchSearchResult) See CourseExternalActivityLaunchSearchResult object Idinteger (int64) The launch unique identifier Example5478141 Activitystring The name of the activty that was launched ExampleURL 1 ActivityTypeinteger (int32) Indicates the type of the activity launched. Possible values: - 40 = URL - 60 = Video - 70 = Document Example40 UserIdinteger (int32) The user's unique identifier Example34521 UserExternalIdstring | null The user's external ID, usually a unique identifier from the calling system ExampleEC11A1BE-4A26-4D28-AA75-F41E3F56DB57 FirstNamestring ExampleJane LastNamestring ExampleDoe OrganizationIdinteger (int32) The unique identifier of the organization the user belongs to Example77889 Launchinteger (int64) When the activity was launched. Provided in Unix epoch format, which is the number of seconds that have elapsed since midnight UTC January 1st, 1970. Example1465758373 CourseIdinteger (int32) | null The unique identifier of the course the activity was launched from Example442 CourseAssignmentIdinteger (int32) | null The unique identifier of the course assignment the activity was launched from Example3456 ClassEnrollmentIdinteger (int32) | null The unique identifier of the class enrollment the activity was launched from Example3445